Bug 811999 - SELinux is preventing /usr/bin/kdm from using the 'sys_admin' capabilities.
SELinux is preventing /usr/bin/kdm from using the 'sys_admin' capabilities.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:b4d78fb6b39aa9d4296dcf9c483...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 09:42 EDT by Daniel Scott
Modified: 2012-06-22 10:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 10:43:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Scott 2012-04-12 09:42:13 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.1-3.fc16.x86_64
reason:         SELinux is preventing /usr/bin/kdm from using the 'sys_admin' capabilities.
time:           Thu 12 Apr 2012 09:41:50 AM EDT

description:
:SELinux is preventing /usr/bin/kdm from using the 'sys_admin' capabilities.
:
:*****  Plugin catchall_boolean (89.3 confidence) suggests  *******************
:
:If you want to enable polyinstantiated directory support.
:Then you must tell SELinux about this by enabling the 'allow_polyinstantiation'boolean.
:Do
:setsebool -P allow_polyinstantiation 1
:
:*****  Plugin catchall (11.6 confidence) suggests  ***************************
:
:If you believe that kdm should have the sys_admin capability by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep kdm /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
:Target Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
:Target Objects                 [ capability ]
:Source                        kdm
:Source Path                   /usr/bin/kdm
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           kdm-4.8.1-6.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-80.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.1-3.fc16.x86_64 #1 SMP
:                              Wed Apr 4 18:08:51 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Thu 12 Apr 2012 09:40:16 AM EDT
:Last Seen                     Thu 12 Apr 2012 09:40:16 AM EDT
:Local ID                      3573e2d1-6fdd-4dca-b420-3eb5897f7fda
:
:Raw Audit Messages
:type=AVC msg=audit(1334238016.472:94): avc:  denied  { sys_admin } for  pid=1841 comm="kdm" capability=21  scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=capability
:
:
:type=SYSCALL msg=audit(1334238016.472:94): arch=x86_64 syscall=ioctl success=yes exit=0 a0=e a1=40084301 a2=7fff342bde90 a3=8 items=0 ppid=1764 pid=1841 auid=768 uid=0 gid=1812600001 euid=0 suid=0 fsuid=0 egid=1812600001 sgid=1812600001 fsgid=1812600001 tty=(none) ses=1 comm=kdm exe=/usr/bin/kdm subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)
:
:Hash: kdm,xdm_t,xdm_t,capability,sys_admin
:
:audit2allow
:
:#============= xdm_t ==============
:#!!!! This avc can be allowed using the boolean 'allow_polyinstantiation'
:
:allow xdm_t self:capability sys_admin;
:
:audit2allow -R
:
:#============= xdm_t ==============
:#!!!! This avc can be allowed using the boolean 'allow_polyinstantiation'
:
:allow xdm_t self:capability sys_admin;
:
Comment 1 Miroslav Grepl 2012-04-12 16:53:05 EDT
Did you setup pam_namespace?
Comment 2 Daniel Scott 2012-04-12 17:06:30 EDT
No, should I?
Comment 3 Daniel Walsh 2012-04-13 12:17:35 EDT
no.  Were you able to login fine?  Could you be running out of resources on this machine memory or space?
Comment 4 Daniel Scott 2012-04-13 12:30:02 EDT
Yep, login was fine. Disk space isn't a problem - 45% used on root and 14% on home.

Memory issues aren't likely. I have 12GB ram and I'd just rebooted.
Comment 5 Daniel Walsh 2012-04-13 15:38:36 EDT
Does it happen everytime you login or just once?
Comment 6 Daniel Scott 2012-06-22 09:49:19 EDT
Sorry, I meant to test and get back to you. I *think* it was every time.

I'm now on Fedora 17, and it hasn't re-occurred since.
Comment 7 Daniel Walsh 2012-06-22 10:43:26 EDT
Ok Since we are not hearing this from others we will ignore, if someone else experiences this please reopen.

Note You need to log in before you can comment on or make changes to this bug.